maksaska commented on code in PR #285:
URL: https://github.com/apache/ignite-extensions/pull/285#discussion_r1945237462


##########
modules/cdc-ext/examples/cdc-start-up/cdc-start-up.sh:
##########
@@ -0,0 +1,486 @@
+#!/usr/bin/env bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+#
+# All-in-one CDC start-up manager. Use this script to run examples for CDC 
with Apache Ignite.
+#
+
+set -Eeuo pipefail
+trap 'cleanup $LINENO' SIGINT SIGTERM ERR EXIT
+
+SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" &>/dev/null && pwd -P)
+
+IGNITE_BIN_DIR="${SCRIPT_DIR}/../../bin"
+IGNITE_HOME="${SCRIPT_DIR}/../../"
+IGNITE_LIBS="${SCRIPT_DIR}/../../libs"
+IGNITE_CDC_EXAMPLES_DIR="${SCRIPT_DIR}/../config/cdc-start-up"
+
+CURRENT_PID=$$
+
+#
+# Help message
+#
+usage() {
+       cat <<EOF
+This is a simple start-up script designed to ease the user experience with 
starting CDC for ignite clusters.
+
+Available options:
+
+-h, --help                                     Prints help summary
+-i, --ignite igniteProperties                  Starts a single node with 
provided properties. `
+                                      `An ignite instance will be started with 
basic CDC configuration `
+                                      
`\$IGNITE_HOME/examples/config/cdc-start-up/cdc-base-configuration.xml
+
+       Available options for igniteProperties include:
+               * cluster-1
+               * cluster-2
+
+  Properties files are preconfigured for data replication between cluster-1 
and cluster-2.
+
+-c, --cdc-consumer consumerMode ignitePropertiesPath `
+                                      `Starts CDC consumer with specified 
transfer mode to parse WAL archives `
+                                      `from source cluster.
+
+       Available options for --cdc-consumer include:
+               * --ignite-to-ignite            Creates a single thick client, `
+                                         `used to transfer data from 
source-cluster to destination-cluster.
+               * --ignite-to-ignite-thin       Creates a single thin client, `
+                                           `used to transfer data from 
source-cluster to destination-cluster.
+               * --ignite-to-kafka             Creates a cdc consumer, used to 
transfer data from source-cluster to specified Kafka topic.
+
+-k, --kafka-to-ignite clientMode ignitePropertiesPath `
+                                      `Starts Kafka topic consumer for data 
replication to destination cluster.
+
+       Available options for --kafka-to-ignite include:
+               * thick                         Creates a single server client 
(Thick client), `

Review Comment:
   done



##########
modules/cdc-ext/examples/cdc-start-up/cdc-start-up.sh:
##########
@@ -0,0 +1,486 @@
+#!/usr/bin/env bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+#
+# All-in-one CDC start-up manager. Use this script to run examples for CDC 
with Apache Ignite.
+#
+
+set -Eeuo pipefail
+trap 'cleanup $LINENO' SIGINT SIGTERM ERR EXIT
+
+SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" &>/dev/null && pwd -P)
+
+IGNITE_BIN_DIR="${SCRIPT_DIR}/../../bin"
+IGNITE_HOME="${SCRIPT_DIR}/../../"
+IGNITE_LIBS="${SCRIPT_DIR}/../../libs"
+IGNITE_CDC_EXAMPLES_DIR="${SCRIPT_DIR}/../config/cdc-start-up"
+
+CURRENT_PID=$$
+
+#
+# Help message
+#
+usage() {
+       cat <<EOF
+This is a simple start-up script designed to ease the user experience with 
starting CDC for ignite clusters.
+
+Available options:
+
+-h, --help                                     Prints help summary
+-i, --ignite igniteProperties                  Starts a single node with 
provided properties. `
+                                      `An ignite instance will be started with 
basic CDC configuration `
+                                      
`\$IGNITE_HOME/examples/config/cdc-start-up/cdc-base-configuration.xml
+
+       Available options for igniteProperties include:
+               * cluster-1
+               * cluster-2
+
+  Properties files are preconfigured for data replication between cluster-1 
and cluster-2.
+
+-c, --cdc-consumer consumerMode ignitePropertiesPath `
+                                      `Starts CDC consumer with specified 
transfer mode to parse WAL archives `
+                                      `from source cluster.
+
+       Available options for --cdc-consumer include:
+               * --ignite-to-ignite            Creates a single thick client, `
+                                         `used to transfer data from 
source-cluster to destination-cluster.
+               * --ignite-to-ignite-thin       Creates a single thin client, `
+                                           `used to transfer data from 
source-cluster to destination-cluster.
+               * --ignite-to-kafka             Creates a cdc consumer, used to 
transfer data from source-cluster to specified Kafka topic.
+
+-k, --kafka-to-ignite clientMode ignitePropertiesPath `
+                                      `Starts Kafka topic consumer for data 
replication to destination cluster.
+
+       Available options for --kafka-to-ignite include:
+               * thick                         Creates a single server client 
(Thick client), `
+                                       `used to transfer data from Kafka to 
destination-cluster.
+               * thin                          Creates a single thin client, 
used to transfer data from Kafka to destination-cluster.
+
+--check-cdc --key intNum1 --value intNum2 --version intNum3 [--cluster 
clusterNum] `
+                                            `Starts CDC check with proposed 
(key, value) entry. `
+                                            `The command puts the entry in the 
chosen cluster, and shows the comparison `
+                                            `of caches between clusters as the 
entry reaches the other cluster.
+
+       Options:
+               * --key intNum1                 Specifies key of the entry.
+               * --value intNum2               Specifies value of the entry.
+               * --version intNum3             Specifies version of the entry. 
The value is used to resolve conflicted entries.
+               * --cluster clusterNum          Optional parameter for the 
cluster number (1 or 2) that initially stores the entry.

Review Comment:
   added default



-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: notifications-unsubscr...@ignite.apache.org

For queries about this service, please contact Infrastructure at:
us...@infra.apache.org

Reply via email to